### Method

# FwupdPlugin UsbDevice get_platform_id

since: 1.1.2

#### Declaration [src]

    const gchar*
    fu_usb_device_get_platform_id (
      FuUsbDevice* self
    )

#### Description [src]

Gets the device platform ID.

Available since: 1.1.2

#### Return value

Type: `const gchar*`

String, or NULL if unset or invalid.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.